@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");
/*
===============
variables
==============
*/
:root {
  --clr-primary-1: hsl(43, 86%, 17%);
  --clr-primary-2: hsl(43, 77%, 27%);
  --clr-primary-3: hsl(43, 77%, 37%);
  --clr-primary-4: hsl(42, 63%, 48%);
  --clr-primary-5: hsl(42, 78%, 60%);
  --clr-primary-6: hsl(43, 89%, 70%);
  --clr-primary-7: hsl(43, 90%, 76%);
  --clr-primary-8: hsl(45, 86%, 81%);
  --clr-primary-9: hsl(45, 90%, 88%);
  --clr-primary-10: hsl(45, 100%, 96%);
  --clr-grey-1: hsl(209, 61%, 16%);
  --clr-grey-2: hsl(211, 39%, 23%);
  --clr-grey-3: hsl(209, 34%, 30%);
  --clr-grey-4: hsl(209, 28%, 39%);
  --clr-grey-5: hsl(210, 22%, 49%);
  --clr-grey-6: hsl(209, 39%, 60%);
  --clr-grey-7: hsl(211, 27%, 70%);
  --clr-grey-8: hsl(210, 31%, 80%);
  --clr-grey-9: hsl(212, 33%, 89%);
  --clr-grey-10: hsl(210, 36%, 96%);
  --clr-white: white;
  --ff-primary: "Roboto", sans-serif;
  --ff-secondary: "Open Sans", sans-serif;
  --transition: all 0.3s linear;
  --spacing: 0.25rem;
  --radius: 0.5rem;
  --light-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  --dark-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  --max-width: 1170px;
}
/*
==================
global class
==================
*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
::after,
::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: var(--ff-secondary);
  background: var(--clr-white);
  color: var(--clr-grey-1);
  line-height: 1.5;
  font-size: 0.875rem;
}
ul {
  list-style-type: none;
}
a {
  text-decoration: none;
}
img {
  width: 100%;
  display: block;
}
h1,
h2,
h3,
h4 {
  letter-spacing: var(--spacing);
  text-transform: capitalize;
  line-height: 1.25;
  margin-bottom: 0.75rem;
  font-family: var(--ff-primary);
}
h1 {
  font-size: 3rem;
}
h2 {
  font-size: 2rem;
}
h3 {
  font-size: 1.25rem;
}
h4 {
  font-size: 0.875rem;
}
p {
  margin-bottom: 1.25rem;
  color: var(--clr-grey-5);
}
@media screen and (min-width: 800px) {
  h1 {
    font-size: 4rem;
  }
  h2 {
    font-size: 2.5rem;
  }
  h3 {
    font-size: 1.75rem;
  }
  h4 {
    font-size: 1rem;
  }
  body {
    font-size: 1rem;
  }
  h1,
  h2,
  h3,
  h4 {
    line-height: 1;
  }
}
.btn {
  text-transform: uppercase;
  background: var(--clr-primary-5);
  color: var(--clr-primary-1);
  padding: 0.375rem 0.75rem;
  letter-spacing: var(--spacing);
  display: inline-block;
  font-weight: 700;
  transition: var(--transition);
  font-size: 0.875rem;
  border: 2px solid transparent;
  cursor: pointer;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
  border-radius: var(--radius);
}
.btn:hover {
  color: var(--clr-primary-1);
  background: var(--clr-primary-7);
}
.section {
  padding: 5rem 0;
}
.section-center {
  width: 90vw;
  margin: 0 auto;
  max-width: 1170px;
}
@media screen and (min-width: 992px) {
  .section-center {
    width: 90vw;
  }
}
/*
====================
nav
====================
*/
.nav {
  background: var(--clr-white);
}
.nav-header h1 {
  font-size: 2rem;
  text-shadow: 0 2px 2px rgba(0, 0, 0, 0.5);
}
.nav-header span {
  color: var(--clr-primary-5);
  text-transform: capitalize;
}
.nav-center {
  width: 90vw;
  margin: 0 auto;
  padding: 1rem 0;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
@media screen and (min-width: 776px) {
  .nav-center {
    width: 80vw;
  }
}
.nav-links a {
  color: black;
  text-transform: capitalize;
  font-family: var(--ff-primary);
  letter-spacing: var(--spacing);
  margin-right: 3rem;
  font-weight: 600;
  transition: var(--transition);
}
.nav-links a:hover {
  color: var(--clr-primary-5);
}
.nav-links {
  display: flex;
  align-items: center;
}
/*
================
Hero
================
*/
.underline {
  width: 5rem;
  height: 0.25rem;
  margin-bottom: 1.25rem;
  background: var(--clr-primary-5);
  margin-left: auto;
  margin-right: auto;
}
.hero .underline {
  margin-bottom: 0.5rem;
  margin-left: 0;
}
.hero {
  background: var(--clr-primary-10);
}
.hero-img {
  display: none;
}
.hero-center {
  height: calc(100vh - 5rem);
  display: grid;
  align-content: center;
  justify-content: center;
}

.hero-info h4 {
  color: var(--clr-grey-5);
  margin-bottom: 2rem;
}
.hero-btn {
  margin-bottom: 2rem;
}
.hero-icons i {
  color: black;
  font-size: 1.5rem;
  transition: var(--transition);
}
.hero-icons i:hover {
  color: var(--clr-primary-5);
}
.social-icons {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  max-width: 300px;
}
@media screen and (min-width: 992px) {
  .hero-img {
    display: block;
    max-width: 500px;
    position: relative;
  }
  .hero-center {
    width: 80vw;
  }
  .section-center {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
  }
  .hero-photo {
    max-width: 500px;
    max-height: 600px;
    object-fit: cover;
    border-radius: var(--radius);
    position: relative;
  }
  .hero-img::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 100%;
    border: 0.25rem solid var(--clr-primary-5);
    top: 2rem;
    left: 2rem;
    border-radius: var(--radius);
  }
}
/*
=================
About
=================
*/
.about-title .underline {
  margin-left: 0;
}
.about-img {
  margin-bottom: 3rem;
}
.about-img img {
  height: 500px;
  width: 400px;
  border-radius: var(--radius);
  object-fit: cover;
  margin: 0 auto;
}
.about-info p {
  font-size: 1rem;
}
@media screen and (min-width: 992px) {
  .about-img {
    position: relative;
    max-width: 400px;
  }
  .about-img::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 100%;
    border: 0.25rem solid var(--clr-primary-5);
    top: 2rem;
    left: -2rem;
    border-radius: var(--radius);
  }
}
/*
===================
Service
===================
*/
.bg-grey {
  background: var(--clr-grey-10);
}
.section-title h2 {
  text-align: center;
}
.section-title {
  margin-bottom: 2rem;
}
.service {
  background: var(--clr-white);
  text-align: center;
  padding: 3rem 0;
  margin-top: 2rem;
  border-radius: var(--radius);
  transition: var(--transition);
}
.service .underline {
  width: 3rem;
  height: 0.15rem;
}
.service i {
  font-size: 2rem;
  margin-bottom: 1.25rem;
}
.service p {
  max-width: 30rem;
  margin: 0 auto;
  transition: var(--transition);
  padding: 0 1rem;
}
.service:hover {
  background: var(--clr-primary-5);
  color: var(--clr-white);
}
.service:hover .service .underline {
  color: var(--clr-white);
}

.service:hover p {
  color: white;
}
@media screen and (min-width: 776px) {
  .services-center {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 2rem;
  }
}
@media screen and (min-width: 992px) {
  .services-center {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 2rem;
  }
}
/*
==================
Project
==================
*/
.projects-text {
  max-width: 33rem;
  text-align: center;
  margin: 0 auto;
  font-size: 1rem;
  padding-bottom: 1rem;
}
.project {
  position: relative;
  /* background: var(--clr-primary-5);
  height: 250px;
  border-radius: var(--radius);*/
}
.project-img {
  border-radius: var(--radius);
  height: 250px;
  object-fit: cover;
  margin-bottom: 2rem;
  transition: var(--transition);
}
.project-info {
  color: var(--clr-white);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  display: none;
  transition: var(--transition);
}
.project-info p {
  text-transform: capitalize;
  color: var(--clr-white);
}
.project:hover .project-info {
  display: block;
  z-index: 2;
}
.project:hover .project-img {
  outline: 5px white solid;
  outline-offset: -40px;
  opacity: 0.4;
}
@media screen and (min-width: 446px) {
  .projects-center {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 2rem;
  }
}
@media screen and (min-width: 992px) {
  .projects-center {
    grid-template-columns: 1fr 1fr 1fr;
  }
}
@media screen and (min-width: 1120px) {
  .projects-center {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 200px 200px;
    grid-template-areas:
      "a b b"
      "a c d";
    row-gap: 5rem;
    margin-top: 5rem;
  }
  .project-1 {
    grid-area: a;
  }
  .project-2 {
    grid-area: b;
  }
  .project-3 {
    grid-area: c;
  }
  .project-4 {
    grid-area: d;
  }
  .one {
    height: 530px;
  }
}
/*
================
connect
================
*/
.connect {
  background: linear-gradient(rgba(247, 217, 122, 0.5), rgba(0, 0, 0, 0.3)),
    url("./image/project-1.jpeg") center/cover no-repeat;
  height: 100vh;
  position: relative;
}
.video-banner {
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: var(--clr-primary-9);
  padding: 2rem 3rem;
}
.video-text {
  max-width: 40rem;
  margin: 0 auto;
  margin-bottom: 2rem;
}
/*
=================
skills
=================
*/
.skills {
  background: var(--clr-primary-9);
  margin: 4rem 0;
}
.skills-center h3 {
  color: var(--clr-primary-1);
  margin: 1.5rem 0;
}
.skill {
  margin-bottom: 1.25rem;
  margin-right: 2rem;
}
.skill p {
  color: var(--clr-primary-1);
  margin-bottom: 0.5rem;
}
.skill-container {
  background: var(--clr-white);
  border-radius: var(--radius);
  height: 1rem;
  width: 100%;
  position: relative;
}
.skill-value {
  position: absolute;
  top: 0;
  left: 0;
  background: var(--clr-primary-5);
  height: 100%;
  width: 50%;
  border-radius: var(--radius);
}
.value-70 {
  width: 70%;
}
.value-80 {
  width: 80%;
}
.skill-text {
  position: absolute;
  left: 50%;
  top: -190%;
  transform: translateX(-50%);
}
.skill-text-70 {
  left: 70%;
}
.skill-text-80 {
  left: 80%;
}
/*
================
Timeline
================
*/
.timeline-center {
  width: 80vw;
  max-width: 40rem;
  display: grid;
  grid-template-columns: 1fr;
  justify-items: center;
}
.timeline-item {
  border-top: 2px dashed var(--clr-primary-5);
  padding: 4rem 2rem;
  margin: 0;
  position: relative;
}
.timeline p {
  margin-bottom: 0;
}
.number {
  background: var(--clr-primary-5);
  height: 2rem;
  width: 2rem;
  display: grid;
  justify-items: center;
  align-items: center;
  border-radius: 100%;
  position: absolute;
  transform: translate(-50%, -50%);
  margin-bottom: 0;
  top: 50%;
}
.timeline-item:nth-child(odd) .number {
  left: 100%;
}
.timeline-item:nth-child(even) .number {
  left: 0%;
}
.timeline-item:nth-child(even) {
  border-left: 2px dashed var(--clr-primary-5);
  border-top-left-radius: 2rem;
  border-bottom-left-radius: 2rem;
  margin-right: 2rem;
}
.timeline-item:nth-child(odd) {
  border-right: 2px dashed var(--clr-primary-5);
  border-top-right-radius: 2rem;
  border-bottom-right-radius: 2rem;
  margin-left: 2rem;
}
.timeline-item:first-child {
  border-top: none;
  border-top-right-radius: 0;
}
.timeline-item:last-child {
  border-bottom-left-radius: 0;
}
/*
======================
blog
=====================
*/
.blog {
  background: var(--clr-grey-10);
}
.card {
  margin-bottom: 3rem;
  height: 27rem;
  position: relative;
  perspective: 1500px;
}
.card-front img {
  height: 250px;
  object-fit: cover;
  border-top-left-radius: var(--radius);
  border-top-right-radius: var(--radius);
}

.card-footer img {
  height: 2rem;
  width: 2rem;
  object-fit: cover;
  border-radius: 100%;
}
.card-info {
  margin: 1rem;
}
.card-footer p {
  color: var(--clr-primary-5);
  text-transform: uppercase;
  justify-self: end;
}
.card-footer {
  display: grid;
  grid-template-columns: 1fr 1fr;
}
.card-side {
  position: absolute;
  transition: all 2s linear;
  backface-visibility: hidden;
}
.card-front {
  background: var(--clr-white);
  border-radius: var(--radius);
}
.card-back {
  transform: rotateY(180deg);
  background: var(--clr-primary-10);
}
.card:hover .card-front {
  transform: rotateY(-180deg);
}
.card:hover .card-back {
  transform: rotateY(0);
}
.blog-center {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(330px, 1fr));
  gap: 3rem 1rem;
}
/*
=============
footer
=============
*/
.footer {
  background: black;
  padding: 3rem 0;
  text-align: center;
}
.two {
  display: flex;
  justify-content: center;
}
.three {
  color: var(--clr-primary-5);
  font-size: 1.5rem;
  margin-right: 2rem;
  transition: var(--transition);
}
.three:hover {
  color: white;
}
.footer p {
  text-transform: capitalize;
  margin-top: 1rem;
  font-size: 1.5rem;
}
